diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/internet/bindings/modulegen__gcc_LP64.py ns-3.34/src/internet/bindings/modulegen__gcc_LP64.py
--- ns-3.33/src/internet/bindings/modulegen__gcc_LP64.py	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/internet/bindings/modulegen__gcc_LP64.py	2021-07-14 10:31:06.000000000 -0700
@@ -147,6 +147,8 @@
     root_module['ns3::Ipv4Address'].implicitly_converts_to(root_module['ns3::Address'])
     ## ipv4-address-generator.h (module 'internet'): ns3::Ipv4AddressGenerator [class]
     module.add_class('Ipv4AddressGenerator')
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash [class]
+    module.add_class('Ipv4AddressHash', import_from_module='ns.network')
     ## ipv4-address-helper.h (module 'internet'): ns3::Ipv4AddressHelper [class]
     module.add_class('Ipv4AddressHelper')
     ## ipv4-end-point.h (module 'internet'): ns3::Ipv4EndPoint [class]
@@ -184,6 +186,8 @@
     root_module['ns3::Ipv6Address'].implicitly_converts_to(root_module['ns3::Address'])
     ## ipv6-address-generator.h (module 'internet'): ns3::Ipv6AddressGenerator [class]
     module.add_class('Ipv6AddressGenerator')
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash [class]
+    module.add_class('Ipv6AddressHash', import_from_module='ns.network')
     ## ipv6-address-helper.h (module 'internet'): ns3::Ipv6AddressHelper [class]
     module.add_class('Ipv6AddressHelper')
     ## ipv6-end-point.h (module 'internet'): ns3::Ipv6EndPoint [class]
@@ -274,7 +278,7 @@
     ## trace-helper.h (module 'network'): ns3::PcapHelper [class]
     module.add_class('PcapHelper', import_from_module='ns.network')
     ## trace-helper.h (module 'network'): ns3::PcapHelper::DataLinkType [enumeration]
-    module.add_enum('DataLinkType', ['DLT_NULL', 'DLT_EN10MB', 'DLT_PPP', 'DLT_RAW', 'DLT_IEEE802_11', 'DLT_LINUX_SLL', 'DLT_PRISM_HEADER', 'DLT_IEEE802_11_RADIO', 'DLT_IEEE802_15_4', 'DLT_NETLINK'], outer_class=root_module['ns3::PcapHelper'], import_from_module='ns.network')
+    module.add_enum('DataLinkType', ['DLT_NULL', 'DLT_EN10MB', 'DLT_PPP', 'DLT_RAW', 'DLT_IEEE802_11', 'DLT_LINUX_SLL', 'DLT_PRISM_HEADER', 'DLT_IEEE802_11_RADIO', 'DLT_IEEE802_15_4', 'DLT_NETLINK', 'DLT_LORATAP'], outer_class=root_module['ns3::PcapHelper'], import_from_module='ns.network')
     ## trace-helper.h (module 'network'): ns3::PcapHelperForDevice [class]
     module.add_class('PcapHelperForDevice', allow_subclassing=True, import_from_module='ns.network')
     ## internet-trace-helper.h (module 'internet'): ns3::PcapHelperForIpv4 [class]
@@ -370,6 +374,10 @@
     typehandlers.add_type_alias('uint32_t', 'ns3::TypeId::hash_t')
     typehandlers.add_type_alias('uint32_t*', 'ns3::TypeId::hash_t*')
     typehandlers.add_type_alias('uint32_t&', 'ns3::TypeId::hash_t&')
+    ## windowed-filter.h (module 'internet'): ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int> [class]
+    module.add_class('WindowedFilter', template_parameters=['ns3::DataRate', 'ns3::MaxFilter<ns3::DataRate>', 'unsigned int', 'unsigned int'])
+    ## windowed-filter.h (module 'internet'): ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::Sample [struct]
+    module.add_class('Sample', outer_class=root_module['ns3::WindowedFilter< ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int >'])
     ## empty.h (module 'core'): ns3::empty [class]
     module.add_class('empty', import_from_module='ns.core')
     ## int64x64-128.h (module 'core'): ns3::int64x64_t [class]
@@ -418,6 +426,11 @@
     module.add_class('Icmpv6OptionMtu', parent=root_module['ns3::Icmpv6OptionHeader'])
     ## icmpv6-header.h (module 'internet'): ns3::Icmpv6OptionPrefixInformation [class]
     module.add_class('Icmpv6OptionPrefixInformation', parent=root_module['ns3::Icmpv6OptionHeader'])
+    ## icmpv6-header.h (module 'internet'): ns3::Icmpv6OptionPrefixInformation::Flags_t [enumeration]
+    module.add_enum('Flags_t', ['NONE', 'ROUTERADDR', 'AUTADDRCONF', 'ONLINK'], outer_class=root_module['ns3::Icmpv6OptionPrefixInformation'])
+    typehandlers.add_type_alias('ns3::Icmpv6OptionPrefixInformation::Flags_t', 'ns3::Icmpv6OptionPrefixInformation::Flags_t')
+    typehandlers.add_type_alias('ns3::Icmpv6OptionPrefixInformation::Flags_t*', 'ns3::Icmpv6OptionPrefixInformation::Flags_t*')
+    typehandlers.add_type_alias('ns3::Icmpv6OptionPrefixInformation::Flags_t&', 'ns3::Icmpv6OptionPrefixInformation::Flags_t&')
     ## icmpv6-header.h (module 'internet'): ns3::Icmpv6OptionRedirected [class]
     module.add_class('Icmpv6OptionRedirected', parent=root_module['ns3::Icmpv6OptionHeader'])
     ## icmpv6-header.h (module 'internet'): ns3::Icmpv6ParameterError [class]
@@ -1001,6 +1014,16 @@
     module.add_class('RipNg', parent=root_module['ns3::Ipv6RoutingProtocol'])
     ## ripng.h (module 'internet'): ns3::RipNg::SplitHorizonType_e [enumeration]
     module.add_enum('SplitHorizonType_e', ['NO_SPLIT_HORIZON', 'SPLIT_HORIZON', 'POISON_REVERSE'], outer_class=root_module['ns3::RipNg'])
+    ## tcp-bbr.h (module 'internet'): ns3::TcpBbr [class]
+    module.add_class('TcpBbr', parent=root_module['ns3::TcpCongestionOps'])
+    ## tcp-bbr.h (module 'internet'): ns3::TcpBbr::BbrMode_t [enumeration]
+    module.add_enum('BbrMode_t', ['BBR_STARTUP', 'BBR_DRAIN', 'BBR_PROBE_BW', 'BBR_PROBE_RTT'], outer_class=root_module['ns3::TcpBbr'])
+    typehandlers.add_type_alias('ns3::TcpBbr::BbrMode_t', 'ns3::TcpBbr::BbrMode_t')
+    typehandlers.add_type_alias('ns3::TcpBbr::BbrMode_t*', 'ns3::TcpBbr::BbrMode_t*')
+    typehandlers.add_type_alias('ns3::TcpBbr::BbrMode_t&', 'ns3::TcpBbr::BbrMode_t&')
+    typehandlers.add_type_alias('ns3::WindowedFilter< ns3::DataRate, ns3::MaxFilter< ns3::DataRate >, unsigned int, unsigned int >', 'ns3::TcpBbr::MaxBandwidthFilter_t')
+    typehandlers.add_type_alias('ns3::WindowedFilter< ns3::DataRate, ns3::MaxFilter< ns3::DataRate >, unsigned int, unsigned int >*', 'ns3::TcpBbr::MaxBandwidthFilter_t*')
+    typehandlers.add_type_alias('ns3::WindowedFilter< ns3::DataRate, ns3::MaxFilter< ns3::DataRate >, unsigned int, unsigned int >&', 'ns3::TcpBbr::MaxBandwidthFilter_t&')
     ## tcp-bic.h (module 'internet'): ns3::TcpBic [class]
     module.add_class('TcpBic', parent=root_module['ns3::TcpCongestionOps'])
     ## tcp-recovery-ops.h (module 'internet'): ns3::TcpClassicRecovery [class]
@@ -1361,6 +1384,7 @@
     register_Ns3IntToType__6_methods(root_module, root_module['ns3::IntToType< 6 >'])
     register_Ns3Ipv4Address_methods(root_module, root_module['ns3::Ipv4Address'])
     register_Ns3Ipv4AddressGenerator_methods(root_module, root_module['ns3::Ipv4AddressGenerator'])
+    register_Ns3Ipv4AddressHash_methods(root_module, root_module['ns3::Ipv4AddressHash'])
     register_Ns3Ipv4AddressHelper_methods(root_module, root_module['ns3::Ipv4AddressHelper'])
     register_Ns3Ipv4EndPoint_methods(root_module, root_module['ns3::Ipv4EndPoint'])
     register_Ns3Ipv4EndPointDemux_methods(root_module, root_module['ns3::Ipv4EndPointDemux'])
@@ -1373,6 +1397,7 @@
     register_Ns3Ipv4StaticRoutingHelper_methods(root_module, root_module['ns3::Ipv4StaticRoutingHelper'])
     register_Ns3Ipv6Address_methods(root_module, root_module['ns3::Ipv6Address'])
     register_Ns3Ipv6AddressGenerator_methods(root_module, root_module['ns3::Ipv6AddressGenerator'])
+    register_Ns3Ipv6AddressHash_methods(root_module, root_module['ns3::Ipv6AddressHash'])
     register_Ns3Ipv6AddressHelper_methods(root_module, root_module['ns3::Ipv6AddressHelper'])
     register_Ns3Ipv6EndPoint_methods(root_module, root_module['ns3::Ipv6EndPoint'])
     register_Ns3Ipv6EndPointDemux_methods(root_module, root_module['ns3::Ipv6EndPointDemux'])
@@ -1433,6 +1458,8 @@
     register_Ns3TypeId_methods(root_module, root_module['ns3::TypeId'])
     register_Ns3TypeIdAttributeInformation_methods(root_module, root_module['ns3::TypeId::AttributeInformation'])
     register_Ns3TypeIdTraceSourceInformation_methods(root_module, root_module['ns3::TypeId::TraceSourceInformation'])
+    register_Ns3WindowedFilter__Ns3DataRate_Ns3MaxFilter__lt__ns3DataRate__gt___Unsigned_int_Unsigned_int_methods(root_module, root_module['ns3::WindowedFilter< ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int >'])
+    register_Ns3WindowedFilter__lt___ns3DataRate__ns3MaxFilter__lt__ns3DataRate__gt____unsigned_int__unsigned_int___gt__Sample_methods(root_module, root_module['ns3::WindowedFilter< ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int >::Sample'])
     register_Ns3Empty_methods(root_module, root_module['ns3::empty'])
     register_Ns3Int64x64_t_methods(root_module, root_module['ns3::int64x64_t'])
     register_Ns3Chunk_methods(root_module, root_module['ns3::Chunk'])
@@ -1645,6 +1672,7 @@
     register_Ns3QueueItem_methods(root_module, root_module['ns3::QueueItem'])
     register_Ns3Rip_methods(root_module, root_module['ns3::Rip'])
     register_Ns3RipNg_methods(root_module, root_module['ns3::RipNg'])
+    register_Ns3TcpBbr_methods(root_module, root_module['ns3::TcpBbr'])
     register_Ns3TcpBic_methods(root_module, root_module['ns3::TcpBic'])
     register_Ns3TcpClassicRecovery_methods(root_module, root_module['ns3::TcpClassicRecovery'])
     register_Ns3TcpDctcp_methods(root_module, root_module['ns3::TcpDctcp'])
@@ -2495,6 +2523,14 @@
 def register_Ns3DataRate_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('!=')
+    cls.add_binary_numeric_operator('*', root_module['ns3::DataRate'], root_module['ns3::DataRate'], param('double', 'right'))
+    cls.add_binary_numeric_operator('*', root_module['ns3::DataRate'], root_module['ns3::DataRate'], param('uint64_t', 'right'))
+    cls.add_inplace_numeric_operator('*=', param('double', 'right'))
+    cls.add_inplace_numeric_operator('*=', param('uint64_t', 'right'))
+    cls.add_binary_numeric_operator('+', root_module['ns3::DataRate'], root_module['ns3::DataRate'], param('ns3::DataRate', 'right'))
+    cls.add_inplace_numeric_operator('+=', param('ns3::DataRate', 'right'))
+    cls.add_binary_numeric_operator('-', root_module['ns3::DataRate'], root_module['ns3::DataRate'], param('ns3::DataRate', 'right'))
+    cls.add_inplace_numeric_operator('-=', param('ns3::DataRate', 'right'))
     cls.add_binary_comparison_operator('<')
     cls.add_binary_comparison_operator('<=')
     cls.add_binary_comparison_operator('==')
@@ -2760,10 +2796,10 @@
                    'void', 
                    [], 
                    is_virtual=True)
-    ## global-route-manager-impl.h (module 'internet'): void ns3::GlobalRouteManagerImpl::DebugUseLsdb(ns3::GlobalRouteManagerLSDB * arg0) [member function]
+    ## global-route-manager-impl.h (module 'internet'): void ns3::GlobalRouteManagerImpl::DebugUseLsdb(ns3::GlobalRouteManagerLSDB * lsdb) [member function]
     cls.add_method('DebugUseLsdb', 
                    'void', 
-                   [param('ns3::GlobalRouteManagerLSDB *', 'arg0')])
+                   [param('ns3::GlobalRouteManagerLSDB *', 'lsdb')])
     ## global-route-manager-impl.h (module 'internet'): void ns3::GlobalRouteManagerImpl::DebugSPFCalculate(ns3::Ipv4Address root) [member function]
     cls.add_method('DebugSPFCalculate', 
                    'void', 
@@ -3316,6 +3352,18 @@
                    is_static=True)
     return
 
+def register_Ns3Ipv4AddressHash_methods(root_module, cls):
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash(ns3::Ipv4AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv4AddressHash const &', 'arg0')])
+    ## ipv4-address.h (module 'network'): size_t ns3::Ipv4AddressHash::operator()(ns3::Ipv4Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv4Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv4AddressHelper_methods(root_module, cls):
     ## ipv4-address-helper.h (module 'internet'): ns3::Ipv4AddressHelper::Ipv4AddressHelper(ns3::Ipv4AddressHelper const & arg0) [constructor]
     cls.add_constructor([param('ns3::Ipv4AddressHelper const &', 'arg0')])
@@ -3822,8 +3870,8 @@
 def register_Ns3Ipv4StaticRoutingHelper_methods(root_module, cls):
     ## ipv4-static-routing-helper.h (module 'internet'): ns3::Ipv4StaticRoutingHelper::Ipv4StaticRoutingHelper() [constructor]
     cls.add_constructor([])
-    ## ipv4-static-routing-helper.h (module 'internet'): ns3::Ipv4StaticRoutingHelper::Ipv4StaticRoutingHelper(ns3::Ipv4StaticRoutingHelper const & arg0) [constructor]
-    cls.add_constructor([param('ns3::Ipv4StaticRoutingHelper const &', 'arg0')])
+    ## ipv4-static-routing-helper.h (module 'internet'): ns3::Ipv4StaticRoutingHelper::Ipv4StaticRoutingHelper(ns3::Ipv4StaticRoutingHelper const & o) [constructor]
+    cls.add_constructor([param('ns3::Ipv4StaticRoutingHelper const &', 'o')])
     ## ipv4-static-routing-helper.h (module 'internet'): ns3::Ipv4StaticRoutingHelper * ns3::Ipv4StaticRoutingHelper::Copy() const [member function]
     cls.add_method('Copy', 
                    'ns3::Ipv4StaticRoutingHelper *', 
@@ -4023,6 +4071,11 @@
                    'ns3::Ipv6Address', 
                    [param('ns3::Address', 'addr'), param('ns3::Ipv6Address', 'prefix')], 
                    is_static=True)
+    ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Address addr, ns3::Ipv6Prefix prefix) [member function]
+    cls.add_method('MakeAutoconfiguredAddress', 
+                   'ns3::Ipv6Address', 
+                   [param('ns3::Address', 'addr'), param('ns3::Ipv6Prefix', 'prefix')], 
+                   is_static=True)
     ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Mac16Address addr, ns3::Ipv6Address prefix) [member function]
     cls.add_method('MakeAutoconfiguredAddress', 
                    'ns3::Ipv6Address', 
@@ -4160,6 +4213,18 @@
                    is_static=True)
     return
 
+def register_Ns3Ipv6AddressHash_methods(root_module, cls):
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash(ns3::Ipv6AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv6AddressHash const &', 'arg0')])
+    ## ipv6-address.h (module 'network'): size_t ns3::Ipv6AddressHash::operator()(ns3::Ipv6Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv6Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv6AddressHelper_methods(root_module, cls):
     ## ipv6-address-helper.h (module 'internet'): ns3::Ipv6AddressHelper::Ipv6AddressHelper(ns3::Ipv6AddressHelper const & arg0) [constructor]
     cls.add_constructor([param('ns3::Ipv6AddressHelper const &', 'arg0')])
@@ -4175,10 +4240,18 @@
     cls.add_method('Assign', 
                    'ns3::Ipv6InterfaceContainer', 
                    [param('ns3::NetDeviceContainer const &', 'c'), param('std::vector< bool >', 'withConfiguration')])
+    ## ipv6-address-helper.h (module 'internet'): ns3::Ipv6InterfaceContainer ns3::Ipv6AddressHelper::Assign(ns3::NetDeviceContainer const & c, std::vector<bool, std::allocator<bool> > withConfiguration, std::vector<bool, std::allocator<bool> > onLink) [member function]
+    cls.add_method('Assign', 
+                   'ns3::Ipv6InterfaceContainer', 
+                   [param('ns3::NetDeviceContainer const &', 'c'), param('std::vector< bool >', 'withConfiguration'), param('std::vector< bool >', 'onLink')])
     ## ipv6-address-helper.h (module 'internet'): ns3::Ipv6InterfaceContainer ns3::Ipv6AddressHelper::AssignWithoutAddress(ns3::NetDeviceContainer const & c) [member function]
     cls.add_method('AssignWithoutAddress', 
                    'ns3::Ipv6InterfaceContainer', 
                    [param('ns3::NetDeviceContainer const &', 'c')])
+    ## ipv6-address-helper.h (module 'internet'): ns3::Ipv6InterfaceContainer ns3::Ipv6AddressHelper::AssignWithoutOnLink(ns3::NetDeviceContainer const & c) [member function]
+    cls.add_method('AssignWithoutOnLink', 
+                   'ns3::Ipv6InterfaceContainer', 
+                   [param('ns3::NetDeviceContainer const &', 'c')])
     ## ipv6-address-helper.h (module 'internet'): ns3::Ipv6Address ns3::Ipv6AddressHelper::NewAddress(ns3::Address addr) [member function]
     cls.add_method('NewAddress', 
                    'ns3::Ipv6Address', 
@@ -4330,6 +4403,8 @@
     cls.add_constructor([param('ns3::Ipv6Address', 'address')])
     ## ipv6-interface-address.h (module 'internet'): ns3::Ipv6InterfaceAddress::Ipv6InterfaceAddress(ns3::Ipv6Address address, ns3::Ipv6Prefix prefix) [constructor]
     cls.add_constructor([param('ns3::Ipv6Address', 'address'), param('ns3::Ipv6Prefix', 'prefix')])
+    ## ipv6-interface-address.h (module 'internet'): ns3::Ipv6InterfaceAddress::Ipv6InterfaceAddress(ns3::Ipv6Address address, ns3::Ipv6Prefix prefix, bool onLink) [constructor]
+    cls.add_constructor([param('ns3::Ipv6Address', 'address'), param('ns3::Ipv6Prefix', 'prefix'), param('bool', 'onLink')])
     ## ipv6-interface-address.h (module 'internet'): ns3::Ipv6InterfaceAddress::Ipv6InterfaceAddress(ns3::Ipv6InterfaceAddress const & o) [constructor]
     cls.add_constructor([param('ns3::Ipv6InterfaceAddress const &', 'o')])
     ## ipv6-interface-address.h (module 'internet'): ns3::Ipv6Address ns3::Ipv6InterfaceAddress::GetAddress() const [member function]
@@ -4342,6 +4417,11 @@
                    'uint32_t', 
                    [], 
                    is_const=True)
+    ## ipv6-interface-address.h (module 'internet'): bool ns3::Ipv6InterfaceAddress::GetOnLink() const [member function]
+    cls.add_method('GetOnLink', 
+                   'bool', 
+                   [], 
+                   is_const=True)
     ## ipv6-interface-address.h (module 'internet'): ns3::Ipv6Prefix ns3::Ipv6InterfaceAddress::GetPrefix() const [member function]
     cls.add_method('GetPrefix', 
                    'ns3::Ipv6Prefix', 
@@ -4370,6 +4450,10 @@
     cls.add_method('SetNsDadUid', 
                    'void', 
                    [param('uint32_t', 'uid')])
+    ## ipv6-interface-address.h (module 'internet'): void ns3::Ipv6InterfaceAddress::SetOnLink(bool onLink) [member function]
+    cls.add_method('SetOnLink', 
+                   'void', 
+                   [param('bool', 'onLink')])
     ## ipv6-interface-address.h (module 'internet'): void ns3::Ipv6InterfaceAddress::SetScope(ns3::Ipv6InterfaceAddress::Scope_e scope) [member function]
     cls.add_method('SetScope', 
                    'void', 
@@ -4517,6 +4601,11 @@
     cls.add_constructor([param('ns3::Ipv6Prefix const &', 'prefix')])
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix::Ipv6Prefix(ns3::Ipv6Prefix const * prefix) [constructor]
     cls.add_constructor([param('ns3::Ipv6Prefix const *', 'prefix')])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6Address ns3::Ipv6Prefix::ConvertToIpv6Address() const [member function]
+    cls.add_method('ConvertToIpv6Address', 
+                   'ns3::Ipv6Address', 
+                   [], 
+                   is_const=True)
     ## ipv6-address.h (module 'network'): void ns3::Ipv6Prefix::GetBytes(uint8_t * buf) const [member function]
     cls.add_method('GetBytes', 
                    'void', 
@@ -4722,8 +4811,8 @@
 def register_Ns3Ipv6StaticRoutingHelper_methods(root_module, cls):
     ## ipv6-static-routing-helper.h (module 'internet'): ns3::Ipv6StaticRoutingHelper::Ipv6StaticRoutingHelper() [constructor]
     cls.add_constructor([])
-    ## ipv6-static-routing-helper.h (module 'internet'): ns3::Ipv6StaticRoutingHelper::Ipv6StaticRoutingHelper(ns3::Ipv6StaticRoutingHelper const & arg0) [constructor]
-    cls.add_constructor([param('ns3::Ipv6StaticRoutingHelper const &', 'arg0')])
+    ## ipv6-static-routing-helper.h (module 'internet'): ns3::Ipv6StaticRoutingHelper::Ipv6StaticRoutingHelper(ns3::Ipv6StaticRoutingHelper const & o) [constructor]
+    cls.add_constructor([param('ns3::Ipv6StaticRoutingHelper const &', 'o')])
     ## ipv6-static-routing-helper.h (module 'internet'): ns3::Ipv6StaticRoutingHelper * ns3::Ipv6StaticRoutingHelper::Copy() const [member function]
     cls.add_method('Copy', 
                    'ns3::Ipv6StaticRoutingHelper *', 
@@ -6998,6 +7087,61 @@
     cls.add_instance_attribute('supportMsg', 'std::string', is_const=False)
     return
 
+def register_Ns3WindowedFilter__Ns3DataRate_Ns3MaxFilter__lt__ns3DataRate__gt___Unsigned_int_Unsigned_int_methods(root_module, cls):
+    ## windowed-filter.h (module 'internet'): ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::WindowedFilter(ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int> const & arg0) [constructor]
+    cls.add_constructor([param('ns3::WindowedFilter< ns3::DataRate, ns3::MaxFilter< ns3::DataRate >, unsigned int, unsigned int > const &', 'arg0')])
+    ## windowed-filter.h (module 'internet'): ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::WindowedFilter() [constructor]
+    cls.add_constructor([])
+    ## windowed-filter.h (module 'internet'): ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::WindowedFilter(unsigned int windowLength, ns3::DataRate zeroValue, unsigned int zeroTime) [constructor]
+    cls.add_constructor([param('unsigned int', 'windowLength'), param('ns3::DataRate', 'zeroValue'), param('unsigned int', 'zeroTime')])
+    ## windowed-filter.h (module 'internet'): ns3::DataRate ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::GetBest() const [member function]
+    cls.add_method('GetBest', 
+                   'ns3::DataRate', 
+                   [], 
+                   is_const=True)
+    ## windowed-filter.h (module 'internet'): ns3::DataRate ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::GetSecondBest() const [member function]
+    cls.add_method('GetSecondBest', 
+                   'ns3::DataRate', 
+                   [], 
+                   is_const=True)
+    ## windowed-filter.h (module 'internet'): ns3::DataRate ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::GetThirdBest() const [member function]
+    cls.add_method('GetThirdBest', 
+                   'ns3::DataRate', 
+                   [], 
+                   is_const=True)
+    ## windowed-filter.h (module 'internet'): void ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::Reset(ns3::DataRate new_sample, unsigned int new_time) [member function]
+    cls.add_method('Reset', 
+                   'void', 
+                   [param('ns3::DataRate', 'new_sample'), param('unsigned int', 'new_time')])
+    ## windowed-filter.h (module 'internet'): void ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::SetWindowLength(unsigned int windowLength) [member function]
+    cls.add_method('SetWindowLength', 
+                   'void', 
+                   [param('unsigned int', 'windowLength')])
+    ## windowed-filter.h (module 'internet'): void ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::Update(ns3::DataRate new_sample, unsigned int new_time) [member function]
+    cls.add_method('Update', 
+                   'void', 
+                   [param('ns3::DataRate', 'new_sample'), param('unsigned int', 'new_time')])
+    ## windowed-filter.h (module 'internet'): ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::m_samples [variable]
+    cls.add_instance_attribute('m_samples', 'ns3::WindowedFilter< ns3::DataRate, ns3::MaxFilter< ns3::DataRate >, unsigned int, unsigned int > Sample [ 3 ]', is_const=False)
+    ## windowed-filter.h (module 'internet'): ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::m_windowLength [variable]
+    cls.add_instance_attribute('m_windowLength', 'unsigned int', is_const=False)
+    ## windowed-filter.h (module 'internet'): ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::m_zeroValue [variable]
+    cls.add_instance_attribute('m_zeroValue', 'ns3::DataRate', is_const=False)
+    return
+
+def register_Ns3WindowedFilter__lt___ns3DataRate__ns3MaxFilter__lt__ns3DataRate__gt____unsigned_int__unsigned_int___gt__Sample_methods(root_module, cls):
+    ## windowed-filter.h (module 'internet'): ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::Sample::Sample(ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::Sample const & arg0) [constructor]
+    cls.add_constructor([param('ns3::WindowedFilter< ns3::DataRate, ns3::MaxFilter< ns3::DataRate >, unsigned int, unsigned int > Sample const &', 'arg0')])
+    ## windowed-filter.h (module 'internet'): ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::Sample::Sample() [constructor]
+    cls.add_constructor([])
+    ## windowed-filter.h (module 'internet'): ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::Sample::Sample(ns3::DataRate init_sample, unsigned int init_time) [constructor]
+    cls.add_constructor([param('ns3::DataRate', 'init_sample'), param('unsigned int', 'init_time')])
+    ## windowed-filter.h (module 'internet'): ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::Sample::sample [variable]
+    cls.add_instance_attribute('sample', 'ns3::DataRate', is_const=False)
+    ## windowed-filter.h (module 'internet'): ns3::WindowedFilter<ns3::DataRate, ns3::MaxFilter<ns3::DataRate>, unsigned int, unsigned int>::Sample::time [variable]
+    cls.add_instance_attribute('time', 'unsigned int', is_const=False)
+    return
+
 def register_Ns3Empty_methods(root_module, cls):
     ## empty.h (module 'core'): ns3::empty::empty() [constructor]
     cls.add_constructor([])
@@ -7987,7 +8131,7 @@
     cls.add_method('GetFlags', 
                    'uint8_t', 
                    [], 
-                   is_const=True)
+                   deprecated=True, is_const=True)
     ## icmpv6-header.h (module 'internet'): ns3::TypeId ns3::Icmpv6RA::GetInstanceTypeId() const [member function]
     cls.add_method('GetInstanceTypeId', 
                    'ns3::TypeId', 
@@ -8047,7 +8191,8 @@
     ## icmpv6-header.h (module 'internet'): void ns3::Icmpv6RA::SetFlags(uint8_t f) [member function]
     cls.add_method('SetFlags', 
                    'void', 
-                   [param('uint8_t', 'f')])
+                   [param('uint8_t', 'f')], 
+                   deprecated=True)
     ## icmpv6-header.h (module 'internet'): void ns3::Icmpv6RA::SetLifeTime(uint16_t l) [member function]
     cls.add_method('SetLifeTime', 
                    'void', 
@@ -8363,8 +8508,8 @@
 def register_Ns3Ipv4GlobalRoutingHelper_methods(root_module, cls):
     ## ipv4-global-routing-helper.h (module 'internet'): ns3::Ipv4GlobalRoutingHelper::Ipv4GlobalRoutingHelper() [constructor]
     cls.add_constructor([])
-    ## ipv4-global-routing-helper.h (module 'internet'): ns3::Ipv4GlobalRoutingHelper::Ipv4GlobalRoutingHelper(ns3::Ipv4GlobalRoutingHelper const & arg0) [constructor]
-    cls.add_constructor([param('ns3::Ipv4GlobalRoutingHelper const &', 'arg0')])
+    ## ipv4-global-routing-helper.h (module 'internet'): ns3::Ipv4GlobalRoutingHelper::Ipv4GlobalRoutingHelper(ns3::Ipv4GlobalRoutingHelper const & o) [constructor]
+    cls.add_constructor([param('ns3::Ipv4GlobalRoutingHelper const &', 'o')])
     ## ipv4-global-routing-helper.h (module 'internet'): ns3::Ipv4GlobalRoutingHelper * ns3::Ipv4GlobalRoutingHelper::Copy() const [member function]
     cls.add_method('Copy', 
                    'ns3::Ipv4GlobalRoutingHelper *', 
@@ -8562,8 +8707,8 @@
 def register_Ns3Ipv4ListRoutingHelper_methods(root_module, cls):
     ## ipv4-list-routing-helper.h (module 'internet'): ns3::Ipv4ListRoutingHelper::Ipv4ListRoutingHelper() [constructor]
     cls.add_constructor([])
-    ## ipv4-list-routing-helper.h (module 'internet'): ns3::Ipv4ListRoutingHelper::Ipv4ListRoutingHelper(ns3::Ipv4ListRoutingHelper const & arg0) [constructor]
-    cls.add_constructor([param('ns3::Ipv4ListRoutingHelper const &', 'arg0')])
+    ## ipv4-list-routing-helper.h (module 'internet'): ns3::Ipv4ListRoutingHelper::Ipv4ListRoutingHelper(ns3::Ipv4ListRoutingHelper const & o) [constructor]
+    cls.add_constructor([param('ns3::Ipv4ListRoutingHelper const &', 'o')])
     ## ipv4-list-routing-helper.h (module 'internet'): ns3::Ipv4ListRoutingHelper * ns3::Ipv4ListRoutingHelper::Copy() const [member function]
     cls.add_method('Copy', 
                    'ns3::Ipv4ListRoutingHelper *', 
@@ -8922,8 +9067,8 @@
 def register_Ns3Ipv6ListRoutingHelper_methods(root_module, cls):
     ## ipv6-list-routing-helper.h (module 'internet'): ns3::Ipv6ListRoutingHelper::Ipv6ListRoutingHelper() [constructor]
     cls.add_constructor([])
-    ## ipv6-list-routing-helper.h (module 'internet'): ns3::Ipv6ListRoutingHelper::Ipv6ListRoutingHelper(ns3::Ipv6ListRoutingHelper const & arg0) [constructor]
-    cls.add_constructor([param('ns3::Ipv6ListRoutingHelper const &', 'arg0')])
+    ## ipv6-list-routing-helper.h (module 'internet'): ns3::Ipv6ListRoutingHelper::Ipv6ListRoutingHelper(ns3::Ipv6ListRoutingHelper const & o) [constructor]
+    cls.add_constructor([param('ns3::Ipv6ListRoutingHelper const &', 'o')])
     ## ipv6-list-routing-helper.h (module 'internet'): ns3::Ipv6ListRoutingHelper * ns3::Ipv6ListRoutingHelper::Copy() const [member function]
     cls.add_method('Copy', 
                    'ns3::Ipv6ListRoutingHelper *', 
@@ -10275,10 +10420,10 @@
     cls.add_method('SetPriority', 
                    'void', 
                    [param('uint8_t', 'priority')])
-    ## socket.h (module 'network'): void ns3::Socket::SetRecvCallback(ns3::Callback<void, ns3::Ptr<ns3::Socket>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> arg0) [member function]
+    ## socket.h (module 'network'): void ns3::Socket::SetRecvCallback(ns3::Callback<void, ns3::Ptr<ns3::Socket>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> receivedData) [member function]
     cls.add_method('SetRecvCallback', 
                    'void', 
-                   [param('ns3::Callback< void, ns3::Ptr< ns3::Socket >, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'arg0')])
+                   [param('ns3::Callback< void, ns3::Ptr< ns3::Socket >, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'receivedData')])
     ## socket.h (module 'network'): void ns3::Socket::SetRecvPktInfo(bool flag) [member function]
     cls.add_method('SetRecvPktInfo', 
                    'void', 
